This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 179736

Summary: maven project icons are out-of-brand
Product: projects Reporter: Ondrej Langr <olangr>
Component: MavenAssignee: Milos Kleint <mkleint>
Status: RESOLVED FIXED    
Severity: normal Keywords: SIMPLEFIX
Priority: P3    
Version: -S1S-   
Hardware: PC   
OS: Mac OS X   
Issue Type: DEFECT Exception Reporter:
Attachments: maven project icons in up-to-date brand

Description Ondrej Langr 2010-01-21 02:46:21 UTC
Redesigned in-brand icons are attached.

Can we fix in 6.9?
Comment 1 Ondrej Langr 2010-01-21 02:47:33 UTC
Created attachment 93445 [details]
maven project icons in up-to-date brand
Comment 2 Milos Kleint 2010-01-21 03:50:25 UTC
http://hg.netbeans.org/core-main/rev/39c463f4f7e1
applies some stuff..

Some questions:
the new_maven_file icon has wrong context. it creates an association with maven, but in reality there is no relationship with maven, just OSGI. Maven is a build tool (like ant) and the file template deals with OSGI (like JSP for example). I suppose it could have the OSGi icon we have for maven osgi projects (but without the maven badge)

You've reworked the ejb/ear/web maven branded icons, we have similar ones for jar/netbeans modules. Can I send you/attach these for facelifting as well?
Comment 3 Quality Engineering 2010-01-24 08:38:53 UTC
Integrated into 'main-golden', will be available in build *201001240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/39c463f4f7e1
User: Milos Kleint <mkleint@netbeans.org>
Log: #179736 additional icon for osgi bundle and updated icons for other stuff..
Comment 4 Quality Engineering 2010-02-03 21:47:22 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6771db349306
User: Milos Kleint <mkleint@netbeans.org>
Log: #179736 new icons